Bug 168433 - [MAINTAINER] net/prosearch: update to 0.19.2
[MAINTAINER] net/prosearch: update to 0.19.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 11:40 UTC by proler
Modified: 2012-06-16 02:10 UTC (History)
0 users

See Also:


Attachments
prosearch.0.19.2.diff (3.60 KB, patch)
2012-06-13 16:23 UTC, proler
no flags Details | Diff
prosearch.0.19.2.diff (5.50 KB, patch)
2012-06-15 14:56 UTC, proler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description proler 2012-05-29 11:40:01 UTC
 - Update to 0.19.2
 
 Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
> How-To-Repeat:
> Fix:
 
 diff -ruN --exclude=CVS /usr/ports/net/prosearch/Makefile ./Makefile
 --- /usr/ports/net/prosearch/Makefile	2011-08-23 16:13:31.000000000 +0400
 +++ ./Makefile	2012-05-28 16:07:41.000000000 +0400
 @@ -6,8 +6,8 @@
    #
 
    PORTNAME=	prosearch
 -PORTVERSION=	0.19.1
 -PORTREVISION=	1
 +PORTVERSION=	0.19.2
 +#PORTREVISION=	1
    CATEGORIES=	net www
    MASTER_SITES=	http://pro.setun.net/search/download/
 SF/pro-search/pro-search/${PORTVERSION}
 
 @@ -54,13 +54,15 @@
    .if defined(WITH_CRAWLER)
    RUN_DEPENDS+=\
    ${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww \
 +${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI \
 +${SITE_PERL}/${PERL_ARCH}/DBI.pm:${PORTSDIR}/databases/p5-DBI \
    ${SITE_PERL}/${PERL_ARCH}/HTML/Entities.pm:${PORTSDIR}/www/p5-HTML-Parser
 \
    nmap:${PORTSDIR}/security/nmap \
    ${SITE_PERL}/Net/DirectConnect.pm:${PORTSDIR}/net-p2p/p5-Net-DirectConnect
    .endif
 
    .if defined(WITH_SAMBA)
 -RUN_DEPENDS+=	smbclient:${PORTSDIR}/${SAMBA_PORT}
 +RUN_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-smbclient
    .endif
 
    .if defined(WITH_RSYNC)
 @@ -110,7 +112,12 @@
    .if defined(WITH_MARIA)
    RUN_DEPENDS+=\
    ${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm:${PORTSDIR}/databases/p5-DBD-mysql
 \
 -${LOCALBASE}/libexec/mysqld:${PORTSDIR}/databases/mariadb
 +${LOCALBASE}/libexec/mysqld:${PORTSDIR}/databases/mariadb-client
 +.endif
 +
 +.if defined(WITH_DB) && defined(WITH_MARIA)
 +RUN_DEPENDS+=\
 +${LOCALBASE}/libexec/mysqld:${PORTSDIR}/databases/mariadb-server
    .endif
 
    .if defined(WITH_PGSQL)
 @@ -125,6 +132,7 @@
    .endif
 
    .if (defined(WITH_PGSQL) || defined(WITH_PGPP)) && defined(WITH_DB)
 +USE_PGSQL=	yes
    RUN_DEPENDS+=\
    ${LOCALBASE}/bin/postgres:${PORTSDIR}/databases/postgresql${PGSQL_VER}-server
    .endif
 diff -ruN --exclude=CVS /usr/ports/net/prosearch/distinfo ./distinfo
 --- /usr/ports/net/prosearch/distinfo	2011-04-06 18:37:19.000000000 +0400
 +++ ./distinfo	2012-05-28 15:54:27.000000000 +0400
 @@ -1,2 +1,2 @@
 -SHA256 (prosearch-0.19.1.tar.bz2) =
 41c9d635c9d3dc8cbd162e2110e2c4c97a43480b5666ec2c18b91c08fc9d66f1
 -SIZE (prosearch-0.19.1.tar.bz2) = 313442
 +SHA256 (prosearch-0.19.2.tar.bz2) =
 3bf5b90a1f8d66a20cc699ed487708a719e31f6217aa1856f009565d33ffe9fb
 +SIZE (prosearch-0.19.2.tar.bz2) = 400435
 diff -ruN --exclude=CVS /usr/ports/net/prosearch/pkg-plist ./pkg-plist
 --- /usr/ports/net/prosearch/pkg-plist	2011-04-06 18:37:19.000000000 +0400
 +++ ./pkg-plist	2012-05-28 16:19:24.000000000 +0400
 @@ -4,13 +4,14 @@
    %%SEARCHDIR%%/tools/prosearch/Makefile
    %%SEARCHDIR%%/tools/tidy.pl
    %%SEARCHDIR%%/tools/test
 -%%SEARCHDIR%%/tools/onebyte
 +%%SEARCHDIR%%/tools/rsync_password
    %%SEARCHDIR%%/tools/test.zip
    %%SEARCHDIR%%/tools/size.sh
    %%SEARCHDIR%%/tools/grant.sql
    %%SEARCHDIR%%/tools/search.conf
    %%SEARCHDIR%%/tools/sphinx.conf
    %%SEARCHDIR%%/tools/cp_auto_gen.pl
 +%%SEARCHDIR%%/tools/nginx-fastcgi.conf
    %%SEARCHDIR%%/doc/html2txt.pl
    %%SEARCHDIR%%/doc/cuted.old
    %%SEARCHDIR%%/doc/doc.txt
 @@ -22,10 +23,12 @@
    %%SEARCHDIR%%/lib/lib.js
    %%SEARCHDIR%%/lib/search1.js
    %%SEARCHDIR%%/lib/player.js
 +%%SEARCHDIR%%/lib/jquery-1.7.1.min.js
    %%SEARCHDIR%%/lib/psmisc.pm
    %%SEARCHDIR%%/lib/psweb.pm
    %%SEARCHDIR%%/lib/lib.css
    %%SEARCHDIR%%/lib/pssql.pm
 +%%SEARCHDIR%%/t/json.t
    %%SEARCHDIR%%/WHATSNEW
    %%SEARCHDIR%%/search.sh.dist
    %%SEARCHDIR%%/config.pl.dist
 @@ -77,6 +80,7 @@
    %%SEARCHDIR%%/web/lib/lib.js
    %%SEARCHDIR%%/web/lib/search1.js
    %%SEARCHDIR%%/web/lib/player.js
 +%%SEARCHDIR%%/web/lib/jquery-1.7.1.min.js
    %%SEARCHDIR%%/web/lib/psmisc.pm
    %%SEARCHDIR%%/web/lib/psweb.pm
    %%SEARCHDIR%%/web/lib/lib.css
 @@ -111,6 +115,7 @@
    @dirrm %%SEARCHDIR%%/doc
    @dirrm %%SEARCHDIR%%/example
    @dirrm %%SEARCHDIR%%/lib
 +@dirrm %%SEARCHDIR%%/t
    @dirrmtry %%SEARCHDIR%%/tmp
    @dirrmtry %%SEARCHDIR%%/var
    @dirrmtry %%SEARCHDIR%%/web
Comment 1 Mark Linimon freebsd_committer 2012-06-01 10:01:29 UTC
State Changed
From-To: open->open

recover from email mangling. 


Comment 2 Mark Linimon freebsd_committer 2012-06-01 10:01:29 UTC
Class Changed
From-To: sw-bug->maintainer-update



Comment 3 Mark Linimon freebsd_committer 2012-06-01 10:01:29 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs
Comment 4 scheidell freebsd_committer 2012-06-07 11:52:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 scheidell freebsd_committer 2012-06-07 12:43:43 UTC
State Changed
From-To: open->feedback

Patch got horribly mangled somehow in the pr database. Can you resend? 
ascii mime attachment?
Comment 6 scheidell freebsd_committer 2012-06-07 21:21:28 UTC
On 6/7/12 1:16 PM, oleg alexeenkov wrote:
>
>> Patch got horribly mangled somehow in the pr database. Can you resend?
>> ascii mime attachment?
>
> like this ?

actually, no, you need to send it back to the pr / GNATS database.

However, there is another issue:
please update your portstree, and resubmit (to pr/ GNATS database, by 
sending it to: bug-followup@FreeBSD.org  with Subject line:
Re: ports/168433: [MAINTAINER] net/prosearch: update to 0.19.2

you have a dependency that was deprecated 12 months ago:


20110606:
   AFFECTS: users of databases/mariadb
   AUTHOR: dougb@FreeBSD.org

   The mariadb port has been split into -client, -scripts, and -server ports
   ala mysql.  You can now install only the parts that you need.

   If you have devel/libevent installed along with mariadb you should do
   something like:

         pkg_delete mariadb\*
         portmaster devel/libevent

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 proler 2012-06-13 16:23:01 UTC
port diff with splitted mariadb depend
Comment 8 dfilter freebsd_committer 2012-06-13 22:05:34 UTC
scheidell    2012-06-13 21:05:19 UTC

  FreeBSD ports repository

  Modified files:
    net/prosearch        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.19.2
  - Change mariadb dependency to mariadb-client
  - Update RUN_DEPENDS
  
  PR:             ports/168433
  Submitted by:   oleg <proler@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.18      +12 -4     ports/net/prosearch/Makefile
  1.7       +2 -2      ports/net/prosearch/distinfo
  1.7       +6 -1      ports/net/prosearch/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 scheidell freebsd_committer 2012-06-13 22:05:36 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 10 proler 2012-06-15 14:56:29 UTC
with remaked pkg depends
Comment 11 scheidell freebsd_committer 2012-06-16 02:05:53 UTC
This has already been committed to ports tree.

Can you update your ports tree, and open a new pr with just the diffs 
from the current (in ports tree)?  (and you will need to bump portrevision)


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell